<template>
  <!--pages/home/main.wxml-->
  <div class='info' >
    <!--  -->
     <div class="submit" v-if="memberId===''">
           <div class="title">GIADA</div>
            <div class="box"> 
            <div >
                <p>姓 *</p>
                <div class="item">
                  <input type="text"
                  :value="lastName"
                  maxlength="200"
                  @blur="inputEmit($event,'lastName')"
                 />
                </div>
              </div>
              <div style="margin-left:24rpx">
                <p>名 *</p>
                <div class="item">
                  <input type="text"
                  :value="firstName"
                  maxlength="200"
                  @blur="inputEmit($event,'firstName')"
                   />
                </div>
              </div>
          </div>
          <div class="box"> 
            <div >
                <p>性别 *</p>
                <div class="item1" @click="listshow(listinfo)">
                  <span class="text">{{sexdata}}</span>
                  <img :src="down" alt="">
                </div>
            </div>
          </div>
          <div class="box"> 
            <div >
                <v-inputtime :inputtime="inputtime[0]"></v-inputtime>
            </div>
          </div>
          <div class="content">
            为了保障您的会员权益，请务必填写正确的信息，提交后您无法对个人资料进行编辑，如需修改，您可前往您的专属GIADA门店，我们的品牌顾问将为您提供帮助。
          </div>
          <v-footer :footer="'提交'" @footerEmit="enter()"></v-footer> 
     </div>
     <div class="form" v-if="memberId!==''">
          <!-- <img :src="info" alt="" class="img"> -->
         <div class="item">
           <div class="left">姓名</div>
           <div class="right">{{datas.memberName}}</div>
         </div>
         <div class="item">
           <div class="left">手机号</div>
           <div class="right">{{datas.phone}}</div>
         </div>
          <div class="item">
           <div class="left">性别</div>
           <div class="right">{{datas.sex}}</div>
         </div>
         <div class="item">
           <div class="left">生日</div>
           <div class="right">{{datas.birthday}}</div>
         </div>
         <div class="box"> 
            <div >
                <p>电子邮箱*</p>
                <div class="item1" @click="listshow(listinfo)">
                  <span class="text">{{sexdata}}</span>
                </div>
            </div>
          </div>
           <div class="box"> 
            <div >
                <p>通信地址 *</p>
                <div class="item1" @click="listshow(listinfo)">
                  <span class="text">{{sexdata}}</span>
                </div>
            </div>
          </div>
           <div class="box"> 
            <div >
                <p>行业 *</p>
                <div class="item1" @click="listshow(listinfo)">
                  <span class="text">{{sexdata}}</span>
                  <img :src="down" alt="">
                </div>
            </div>
          </div>
           <div class="box"> 
            <div >
                <p>您是从何途径了解到GIADA的？</p>
                <div class="item1" @click="listshow(listinfo)">
                  <span class="text">{{sexdata}}</span>
                  <img :src="down" alt="">
                </div>
            </div>
          </div>
         <v-footer :footer="'提交'" @footerEmit="confirm()" v-if="!show"></v-footer>
     </div>
     
    
      <!-- <button open-type="contact" @bindcontact="handleContact($event)">22</button> -->
    <!--弹出栏-->
    <v-list :listinfo="listinfo" @multimedia="multimediaEvent" ></v-list>
    <v-hintbox :hintbox="hintbox" @close="close"  ></v-hintbox>
  </div>
</template>
<script type="text/ecmascript-6" scoped>
  import config from '@/config'
   import inputtime from '@/components/time/time.vue'
//    import list from './list.vue'
  //   import '../../../../static/css/reset.css';
  import footer from '@/components/footer/footer.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import store from '@/store'
  import hintbox from '@/components/hintbox/hintbox.vue'
  let mta= require('@/utils/mta_analysis.js');
  export default {
    data(){
      return{
         hintbox: {
          text: "",
          show: false
        },
        show:false,
        right:config.url +'right.png',
        down:config.url +'合并形状@2x.png',
        info:config.url +'info1.png',
         memberId:'',
         datas:{},
         datas1:{},
         sexdata:'',
         listinfo: {
          text: '8848',
          isshow: false,
          single :false,
          data: [
            {
              name: '男',
              highlight:false
            },
             {
              name: '女',
              highlight:false
            },

          ]
        },
        phone:'',
        lastName:'',
        firstName:'',
        birthday:'',
        inputtime:[
          {
            text:'生日',
            placeholder: '',
            value:null
          }
        ],
        list:[
         {
            highlight:false,
            text : '女',
            isshow: true,
            single :false,
         },
         {
            highlight:false,
            text : '男',
            isshow: true,
            single :false,
         }
        ]
      }
    },
    components:{
    //   'v-list' : list,
      'v-hintbox' : hintbox,
      'v-footer': footer,
      'v-inputtime':inputtime
    },
    computed:{
      // 登录状态按钮禁用
      status(){
        if( this.signAccount &&  this.signPassword){
          return true;
        }else{
          return false;
        }

      },

    },
    methods:{
      //调用单选列表
       listshow(listinfo){
        console.log('222');
        console.log('listinfo ====='+listinfo);
        if(listinfo.data.length < 1){
          return;
        }
        console.log(listinfo);
        listinfo.isshow = true;
        listinfo.data.forEach((item,index)=> {
          // 可选列表
          console.log(item);
          item.highlight = false;
          console.log(index);
        })
        console.log(listinfo);
      },
      //退出账号
      logout(){
        console.log('退出账号');
        wx.reLaunch({
            url: '/pages/mainPage/confirm/main?id=1'
        })
      },
      //确认
      confirm(){
        console.log('确认');
        // config.href(config.mainPage.home);
         wx.reLaunch({
            url: '/pages/mainPage/home/main?id=1'
        })
      },
      //关闭弹窗
      close(text){
        this.hintbox.show = false;
        
      },
      //点击列表显示的数据
      multimediaEvent(text,listinfo){
        let that = this;
        console.log(text);
        console.log(listinfo);
        if(text === 'false'){
          listinfo.isshow = false;
        }else {
          listinfo.isshow = false;
          let value = '';
          listinfo.data.forEach((item, index) => {
            if (item.highlight) {
              console.log(item);
              this.sexdata = item.name;
            }
          })
        }


      },
      inputEmit(data,name){
        let that = this;
        this[name] = data.mp.detail.value;
        console.log(name,this[name]);
        },
      //提交
      enter(){
        let that = this;
         if(this.lastName === ''){
          this.hintbox.show = true;
          this.hintbox.text = '请填写姓！';
          return;
        }
        if(this.firstName === ''){
          this.hintbox.show = true;
          this.hintbox.text = '请填写名！';
          return;
        }
        if(this.sexdata === ''){
          this.hintbox.show = true;
          this.hintbox.text = '请选择性别！';
          return;
        }
        if(this.inputtime[0].value === ''){
           this.hintbox.show = true;
          this.hintbox.text = '请选择生日！';
          return;
        }
        this.phone = wx.getStorageSync('phonewx23bcedfe9e867c13').phoneNumber;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let data = {
            openId:VerificationCodeEntity.OpenId,
            phone:this.phone, 
            sex:this.sexdata,
            lastName:this.lastName,
            firstName:this.firstName,
            birthday:this.inputtime[0].value
        }
        console.log('data',data);
        VeevlinkClient(
          '/member/information/submit',
          'POST',
          data,
          function (data) {
            console.log(data);
            if(data.message === '该手机号已被注册'){
               this.hintbox.show = true;
               this.hintbox.text = data.message;
            }else{
              wx.setStorageSync('memberid',data.records[0].memberId);
              config.href(config.mainPage.home)
            }
          },
          function (error) {
            console.log(error);
          })
      },
      //获取个人信息
      getAjax1(){
        let that = this;
        let memberid = wx.getStorageSync('memberid');
        this.phone = wx.getStorageSync('phonewx23bcedfe9e867c13').phoneNumber;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        VeevlinkClient(
          '/member/information/get?openId='+VerificationCodeEntity.OpenId+'&phone'+this.phone+'&memberId='+memberid,
          'GET',
          '',
          function (data) {
            console.log(data);
            that.datas = data.records[0];
          },
          function (error) {
            console.log(error);
          })
      },
      //获取个人信息
      getAjax(){
        let that = this;
        let memberid = wx.getStorageSync('memberid');
        this.phone = wx.getStorageSync('phonewx23bcedfe9e867c13').phoneNumber;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        VeevlinkClient(
          '/member/vipInfo/complete',
          'GET',
          '',
          function (data) {
            console.log(data);
            that.datas = data.records;
            console.log('datas',that.datas[0]);
          },
          function (error) {
            console.log(error);
          })
      },
    },
    //页面加载时，判断用户是否登录
    onLoad(data) {
      let that = this;
      mta.Page.init();
      this.memberId = wx.getStorageSync('memberid');
      if(this.memberId!==''){
        //  wx.setNavigationBarTitle({
        //     title: '登录/注册'
        //   })
           that.getAjax(); 
           that.getAjax1(); 
      }
      if(data){
        if(data.data === 'home'){
          this.show = true;
        //   wx.setNavigationBarTitle({
        //     title: '我的信息'
        //   })
           that.getAjax1();
           that.getAjax();  
        }

      }
     
    }
  }
</script>
<style lang="scss"  type="text/scss" scoped>
  /* pages/home/main.wxss */
  .info{
    width: 100%;
    height: 100%;
    background-color:#FEFFFF;
    .submit{
      .title{
        text-align: center;
        color: #333333;
        font-size: 0.38rem;
        font-family: Gill Sans;
        letter-spacing: 0.11rem;
        padding-top: 0.54rem;
        padding-bottom: 0.3rem;
      }
      .box{
        display: flex;
        margin: 0.36rem 0.7rem ;
        p{
          font-size: 0.24rem;
          color: #727171;
        }
        .item{
            background: #EAEAEA;
            width: 2.99rem;
            margin-top: 0.14rem;
            height: 0.6rem;
            line-height: 0.6rem;
            input{
              font-size: 0.24rem;
              padding: 0.1rem 0.2rem;
            }
          }
          .item1{
            background: #EAEAEA;
            width: 6.1rem;
            margin-top: 0.14rem;
            height: 0.6rem;
            line-height: 0.6rem;
            font-size: 0.24rem;
            .text{
              margin-left: 0.2rem;
            }
            img{
              width: 0.22rem;
              height: 0.16rem;
              position: absolute;
              right: 0.86rem;
              margin-top: 0.2rem;
            }
          }
          

      }
      .content{
        margin: -0.4rem 0.7rem 0.6rem 0.7rem;
        font-size: 0.24rem;
        color: #727171; 
      }
    }   
    .form{
        margin-top:1rem;
      .img{
        width: 7.5rem;
        height: 5.4rem;
        margin-bottom:0.7rem;
      }
      .box{
        display: flex;
        margin: 0.36rem 0.7rem ;
        p{
          font-size: 0.24rem;
          color: #727171;
        }
        .item{
            background: #EAEAEA;
            width: 2.99rem;
            margin-top: 0.14rem;
            height: 0.6rem;
            line-height: 0.6rem;
            input{
              font-size: 0.24rem;
              padding: 0.1rem 0.2rem;
            }
          }
          .item1{
            background: #EAEAEA;
            width: 6.1rem;
            margin-top: 0.14rem;
            height: 0.6rem;
            line-height: 0.6rem;
            font-size: 0.24rem;
            .text{
              margin-left: 0.2rem;
            }
            img{
              width: 0.22rem;
              height: 0.16rem;
              position: absolute;
              right: 0.86rem;
              margin-top: 0.2rem;
            }
          }
          

      }
      .item{
        display: flex;
        margin: 0.59rem 0.7rem;
        div{
          font-size: 0.24rem;
          font-family: '华文细黑';
          color: #727171;
        }
        .right{
          position: absolute;
          right: 0.7rem;
        }
      }
      .logout{
        text-align: center;
        color: #727171;
        font-size: 0.22rem;
        margin-top: 0.72rem;
        span{
          margin-right: 0.2rem;
          color: #000;
          opacity: 0.4;
        }
        img{
          width: 0.12rem;
          height: 0.15rem;
          position: absolute;
          right: 3.17rem;
          margin-top: 0.02rem;
        }

      }
      .text{
        font-size: 0.22rem;
        margin: 0.7rem;
        color: #727171;
      }
    }
    .input{
    position: relative;
    height: 0.88rem;
    display: flex;
    align-items: center;
    margin: 0 0.32rem;
    border-bottom: 1px solid #D8D8D8;
  }
  
  }
</style>
